using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using System.Data.SqlClient;


public partial class Default : System.Web.UI.Page {

    /// <summary>
    /// Code to be executed when page is loaded
    /// </summary>
    protected void Page_Load(object sender, EventArgs e) {
        // Create a database connection object.  
        // Uses a connection string specified in Web.Config/configuration/appSettings/connectionStrings
        SqlConnection myConn = new SqlConnection(ConfigurationManager.ConnectionStrings["ImdbString"].ConnectionString);

        // Create a dataset to store offline instance of data
        DataSet ds = new DataSet();

        // Declare a query.  This query gets the set of movies that starred Julie Andrews
        string andrewsQuery = @"
            SELECT mid, name, year, role 
            FROM IMDB.dbo.Actor a
	            JOIN IMDB.dbo.Cast c ON a.id = c.pid
	            JOIN IMDB.dbo.Movie m ON m.id = c.mid  
            WHERE fname LIKE 'Julie (I)' AND lname='Andrews'
            ORDER BY year DESC";

        // Create a new data adapter for interfacing between our online data (in database) and offline
        // data (in dataset)
        SqlDataAdapter da = new SqlDataAdapter(andrewsQuery, myConn);

        // Specify to fill the "Movies" table in the dataset using the andrewsQuery
        da.Fill(ds, "Movies");

        // Set the table in the dataset to be the datasouce for a 'repeater' object on the page
        moviesRepeater.DataSource = ds.Tables["Movies"];

        // Cuase the data in the table to be copied into the repeater 
        moviesRepeater.DataBind();
    }

}
